<?php
        $elem_id    = '';
        $elem_type  = '';

        $seg2 = $this->uri->segment(2);
        $seg3 = $this->uri->segment(3);

        if(!empty($seg2))
               $action = $seg2;

        if(!empty($seg3))
                $elem_id = $seg3;

        $currentURL = curPageURL();
        
        if(strpos($currentURL,'gallery') !== FALSE)
            $elem_type = 'gallery';
        else if(strpos($currentURL,'article') !== FALSE)
            $elem_type = 'article';

        //zrwaca url 
        function curPageURL() {
            $query = $_SERVER['QUERY_STRING'] ? '?'.$_SERVER['QUERY_STRING'] : '';
            return  site_url().uri_string(). $query;
        }

        function getMenuItemUrl($mi)
        {
            
            switch($mi['type'])
            {
                    case 'gallery': return base_url().(($mi['idlanguages']== 3) ? 'pl/galeria':'en/gallery').'-'.$mi['idelement'].'.html';
                                    break;
                    case 'article': return base_url().(($mi['idlanguages']== 3) ? 'pl/artykul':'en/article').'/'.$mi['mi_url'].'-'.$mi['idelement'].'.html';
                                    break;
                    default       : $pos = strpos($mi['mi_url'],'http');
                                    if($pos === false)
                                        return base_url().(($mi['idlanguages']== 3) ? 'pl/':'en/').$mi['mi_url'].'.html'; 
                                    else
                                        return $mi['mi_url'];      

            }
            return base_url();
        }

        function isSubmenuActive($sub_menu_items,$section_id)
        {
            foreach($sub_menu_items as $k=>$v)
            {
                if($v['idelement'] == $section_id)
                {
                    return true;
                }
            }
            return false;
        }
        //sprawdza czy wczytany artykuł czasem nie jest podrzędny do innego artykułu
        //wtedy element menu tez musi być aktywny
        function subArticleIsActive($currentLoadedElemId, $parentId,$articles)
        {
            if(!empty($articles))
            {               
                foreach($articles as $k=>$v)
                {           
                    if($v["idarticles"] == $currentLoadedElemId && $v["idparent"] == $parentId)
                        return true;
                }
            }
            return false;
        }
        //funkcja sprawdza czy element menu o id - $id ma elementy podrzędne
        function hasSubitems($id,$mi)
        {
            if(!empty($mi))
            {
                foreach($mi as $k=>$v)
                    if($v['idparent'] == $id)
                        return true;
            }
            return false;
        }

        function isItemActive($item,$active_elem_id,$elem_type,$articles)
        {
            //jesli nie określono id elementu po urlu to strona główna i zaznacz 1 element z listy artykułów
            if(empty($active_elem_id) && $item['idelement'] == $articles[0]['idarticles'] && $item['type'] == 'article')
                return true;

            if(!empty($item['idelement']) && $item['type'] == $elem_type && (($item['idelement'] == $active_elem_id) || subArticleIsActive($active_elem_id,$item['idelement'],$articles)))
                return true;
            else
                return false;
        }
        //var_dump($articles);
        echo '<div id="main_menu">';
        echo '<ul>';
        if(!empty($menu_items))
            for($i=0; $i< count($menu_items);$i++)
            {
                if(empty($menu_items[$i]['idparent']))
                {
                    $mi_active = isItemActive($menu_items[$i],$elem_id,$elem_type,$articles);
                    if(($seg2 == 'property' || $seg2 == 'properties') && (strtolower($menu_items[$i]['elementname']) == 'nieruchomości' || strtolower($menu_items[$i]['elementname']) == 'properties' ))
                        $mi_active = true;

                    
                    echo '<li><a '.(($mi_active==true) ? ' class="mm_link active" ':' class="mm_link" ').' href="'.getMenuItemUrl($menu_items[$i]).'">'.$menu_items[$i]['elementname'].'</a></li>';
                }
            }
            echo '</ul>';
        echo '</div>';
?>